### Method

# GLib Regex get_pattern

since: 2.14

#### Declaration [src]

    const gchar*
    g_regex_get_pattern (
      const GRegex* regex
    )

#### Description [src]

Gets the pattern string associated with `regex`, i.e. a copy of the string passed to g_regex_new().

Available since: 2.14

#### Return value

Type: `const gchar*`

The pattern of `regex`.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.